//For Om datamaterialet
sum read
histogram read, percent
sum clsize
tab clsize
graph pie, over(not_born)
scatter read clsize || lfit read clsize if not_born==0 || lfit read clsize if not_born==1
tab teacher_cert
tab teacher_fem
tab girl
tab par_edu
gen par_edu_ud_ps = 0 if par_edu!=.
replace par_edu_ud_ps = 1 if par_edu < 3
tab kinderg_att
tab speak_testlang_home
gen speak_testlang_home_some_never = 0 if speak_testlang_home!=.
replace speak_testlang_home_some_never = 1 if inrange(speak_testlang_home,2,3)
tab pct_abroad
gen pct_abroad_26_up = 0 if pct_abroad!=.
replace pct_abroad_26_up = 1 if inrange(pct_abroad,3,4)

//Modell i
reg read clsize not_born
est store i
estat hettest clsize not_born
reg read clsize not_born, robust
est store i

//Modell ii
reg read clsize not_born teacher_cert teacher_fem girl par_edu_ud_ps kinderg_att speak_testlang_home_some_never pct_abroad_26_up, robust
est store ii

//Modell iii
gen clsize_sqrd = clsize*clsize
reg read clsize clsize_sqrd not_born teacher_cert teacher_fem girl par_edu_ud_ps kinderg_att speak_testlang_home_some_never pct_abroad_26_up, robust
est store iii

//Modell iv
gen not_born_clsize = not_born * clsize
reg read clsize not_born not_born_clsize teacher_cert teacher_fem girl par_edu_ud_ps kinderg_att speak_testlang_home_some_never pct_abroad_26_up, robust
est store iv
test (not_born=0) (not_born_clsize=0)

//Outreg og korrelasjonsmatrise
outreg2 [i ii iii iv] using Table1,bdec(3) sdec(3) word  noaster replace
corr read clsize clsize_sqrd not_born not_born_clsize teacher_cert teacher_fem girl par_edu_ud_ps kinderg_att speak_testlang_home_some_never pct_abroad_26_up